uuid: 8f79943a-eba1-4016-88ec-dd97f9d8a249
langcode: en
status: true
dependencies:
  config:
    - search_api.index.reference
  module:
    - search_api
    - user
id: bibliography_search_index
label: 'Bibliography search index'
module: views
description: ''
tag: ''
base_table: search_api_index_reference
base_field: search_api_id
display:
  default:
    id: default
    display_title: Default
    display_plugin: default
    position: 0
    display_options:
      title: Bibliography
      fields:
        category:
          id: category
          table: search_api_index_reference
          field: category
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: null
          entity_field: null
          plugin_id: search_api
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          link_to_item: false
          use_highlighting: false
          multi_type: separator
          multi_separator: ', '
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 50
          total_pages: null
          id: 0
          tags:
            next: ''
            previous: ''
            first: First
            last: Last
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: none
        options: {  }
      empty:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          empty: true
          content: '<p class="tw-my-5">Your search didn''t yield any results</p>'
          tokenize: false
      sorts:
        last_name:
          id: last_name
          table: search_api_index_reference
          field: last_name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
        first_name:
          id: first_name
          table: search_api_index_reference
          field: first_name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
        title:
          id: title
          table: search_api_index_reference
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
        bibcite_date:
          id: bibcite_date
          table: search_api_index_reference
          field: bibcite_date
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
      arguments: {  }
      filters:
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_reference
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: Search
            description: ''
            use_operator: false
            operator: search_api_fulltext_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: keys
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              editor: '0'
              researcher: '0'
            expose_fields: false
            placeholder: 'Search by title or contributor last name'
            searched_fields_id: search_api_fulltext_searched_fields
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: null
          fields:
            - rendered_item
      style:
        type: default
        options:
          row_class: tw-pt-5
          default_row_class: true
          uses_fields: false
      row:
        type: search_api
        options:
          view_modes:
            'entity:bibcite_reference':
              artwork: citation_linked
              audiovisual: citation_linked
              bill: citation_linked
              book: citation_linked
              book_chapter: citation_linked
              broadcast: citation_linked
              case: citation_linked
              chart: citation_linked
              classical: citation_linked
              conference_paper: citation_linked
              conference_proceedings: citation_linked
              correspondence: citation_linked
              database: citation_linked
              film: citation_linked
              government_report: citation_linked
              hearing: citation_linked
              journal: citation_linked
              journal_article: citation
              legal_ruling: citation_linked
              magazine_article: citation_linked
              manuscript: citation_linked
              map: citation_linked
              miscellaneous: citation_linked
              miscellaneous_section: citation_linked
              newspaper_article: citation_linked
              patent: citation_linked
              personal: citation_linked
              presentation: citation_linked
              report: citation_linked
              software: citation_linked
              statute: citation_linked
              thesis: citation_linked
              unpublished: citation_linked
              web_article: citation_linked
              web_project_page: citation_linked
              web_service: citation_linked
              website: citation
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
          preserve_facet_query_args: false
          query_tags: {  }
          contextual_filters_or: false
      relationships: {  }
      header:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          empty: false
          content: "<div class=\"tw-p-2 tw-bg-gray-100\">\r\n<p>Enter a search term, an exact phrase, or click on a letter to access contributors by initial letter of surname.</p>\r\n</div>"
          tokenize: false
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - user.permissions
      tags:
        - 'config:search_api.index.reference'
        - 'search_api_list:reference'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      exposed_block: false
      display_extenders:
        metatag_display_extender:
          metatags:
            title: '[view:title] | [site:name]'
          tokenize: false
      path: bibliography
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - user.permissions
      tags:
        - 'config:search_api.index.reference'
        - 'search_api_list:reference'
